<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$TOC_DEPRECATED = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/ref.var.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'tr',
  ),
  'this' => 
  array (
    0 => 'function.is-iterable.php',
    1 => 'is_iterable',
  ),
  'up' => 
  array (
    0 => 'ref.var.php',
    1 => 'Değişkenlerle ilgili işlevler',
  ),
  'prev' => 
  array (
    0 => 'function.is-integer.php',
    1 => 'is_integer',
  ),
  'next' => 
  array (
    0 => 'function.is-long.php',
    1 => 'is_long',
  ),
  'alternatives' => 
  array (
  ),
  'source' => 
  array (
    'lang' => 'tr',
    'path' => 'reference/var/functions/is-iterable.xml',
  ),
  'history' => 
  array (
  ),
);
$setup["toc"] = $TOC;
$setup["toc_deprecated"] = $TOC_DEPRECATED;
$setup["parents"] = $PARENTS;
manual_setup($setup);

contributors($setup);

?>
<div id="function.is-iterable" class="refentry">
 <div class="refnamediv">
  <h1 class="refname">is_iterable</h1>
  <p class="verinfo">(PHP 7 &gt;= 7.1.0, PHP 8)</p><p class="refpurpose"><span class="refname">is_iterable</span> &mdash; <span class="dc-title">Değişkenin değerinin yinelenebilirliğine bakar</span></p>

 </div>

 <div class="refsect1 description" id="refsect1-function.is-iterable-description">
  <h3 class="title">Açıklama</h3>
  <div class="methodsynopsis dc-description">
   <span class="methodname"><strong>is_iterable</strong></span>(<span class="methodparam"><span class="type"><a href="language.types.mixed.php" class="type mixed">mixed</a></span> <code class="parameter">$değer</code></span>): <span class="type"><a href="language.types.boolean.php" class="type bool">bool</a></span></div>

  <p class="para rdfs-comment">
   Belirtilen değişken değerinin <span class="type"><a href="language.types.iterable.php" class="type iterable">iterable</a></span> sözde türünde, bir
   <span class="type"><a href="language.types.array.php" class="type array">array</a></span> veya <span class="classname"><a href="class.traversable.php" class="classname">Traversable</a></span> sınıfını
   gerçekleyen bir nesne olup olmadığına bakar.
  </p>
 </div>


 <div class="refsect1 parameters" id="refsect1-function.is-iterable-parameters">
  <h3 class="title">Bağımsız Değişkenler</h3>
  <p class="para">
   <dl>
    
     <dt><code class="parameter">değer</code></dt>
     <dd>
      <p class="para">
       Sınanacak değer.
      </p>
     </dd>
    
   </dl>
  </p>
 </div>


 <div class="refsect1 returnvalues" id="refsect1-function.is-iterable-returnvalues">
  <h3 class="title">Dönen Değerler</h3>
  <p class="para">
   <code class="parameter">değer</code> yinelenebiliyorsa <strong><code><a href="reserved.constants.php#constant.true">true</a></code></strong>, yoksa <strong><code><a href="reserved.constants.php#constant.false">false</a></code></strong> döner.
  </p>
 </div>


 <div class="refsect1 examples" id="refsect1-function.is-iterable-examples">
  <h3 class="title">Örnekler</h3>
  <p class="para">
   <div class="example" id="example-5420">
    <p><strong>Örnek 1 - <span class="function"><strong>is_iterable()</strong></span> örnekleri</strong></p>
    <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000"><span style="color: #0000BB">&lt;?php<br /><br />var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">is_iterable</span><span style="color: #007700">([</span><span style="color: #0000BB">1</span><span style="color: #007700">, </span><span style="color: #0000BB">2</span><span style="color: #007700">, </span><span style="color: #0000BB">3</span><span style="color: #007700">]));  </span><span style="color: #FF8000">// bool(true)<br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">is_iterable</span><span style="color: #007700">(new </span><span style="color: #0000BB">ArrayIterator</span><span style="color: #007700">([</span><span style="color: #0000BB">1</span><span style="color: #007700">, </span><span style="color: #0000BB">2</span><span style="color: #007700">, </span><span style="color: #0000BB">3</span><span style="color: #007700">])));  </span><span style="color: #FF8000">// bool(true)<br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">is_iterable</span><span style="color: #007700">((function () { yield </span><span style="color: #0000BB">1</span><span style="color: #007700">; })()));  </span><span style="color: #FF8000">// bool(true)<br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">is_iterable</span><span style="color: #007700">(</span><span style="color: #0000BB">1</span><span style="color: #007700">));  </span><span style="color: #FF8000">// bool(false)<br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">is_iterable</span><span style="color: #007700">(new </span><span style="color: #0000BB">stdClass</span><span style="color: #007700">()));  </span><span style="color: #FF8000">// bool(false)<br /><br /></span><span style="color: #0000BB">?&gt;</span></span></code></div>
    </div>

   </div>
  </p>
 </div>


 <div class="refsect1 seealso" id="refsect1-function.is-iterable-seealso">
  <h3 class="title">Ayrıca Bakınız</h3>
  <p class="para">
   <ul class="simplelist">
    <li><span class="function"><a href="function.is-array.php" class="function" rel="rdfs-seeAlso">is_array()</a> - Değişkenin bir dizi i&ccedil;erip i&ccedil;ermediğine bakar</span></li>
   </ul>
  </p>
 </div>


</div><?php manual_footer($setup); ?>